Start Warehouse
POST
/api/v1/warehouses/{warehouse_name}/start
const url = 'https://example.com/api/v1/warehouses/example/start';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/warehouses/example/startStart (resume) a warehouse.
Args: warehouse_name: Warehouse name
Returns: WarehouseOperationResponse with operation result
Raises: HTTPException: If operation fails
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”warehouse_name
required
Warehouse Name
Warehouse name
string
Warehouse name
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WarehouseOperationResponse
Response model for warehouse operations (start/stop).
object
Examplegenerated
{ "name": "example", "operation": "example", "success": true, "message": "example", "new_state": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}